Bug 1045863 - Review Request: tesla-filelock - Tesla filelock utilities
Summary: Review Request: tesla-filelock - Tesla filelock utilities
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-22 16:20 UTC by Gerard Ryan
Modified: 2013-12-23 19:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-23 19:45:54 UTC
Type: ---
puntogil: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Gerard Ryan 2013-12-22 16:20:54 UTC
Spec URL: http://galileo.fedorapeople.org/tesla-filelock/0.0.2/tesla-filelock.spec
SRPM URL: http://galileo.fedorapeople.org/tesla-filelock/0.0.2/tesla-filelock-0.0.2-1.fc20.src.rpm
Description: Tesla filelock utilities
Fedora Account System Username: galileo

Comment 1 Gerard Ryan 2013-12-22 16:22:12 UTC
This will be an indirect dependency for eclipse-m2e-core 1.5

Comment 2 Gerard Ryan 2013-12-22 16:25:29 UTC
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6325766

Comment 3 gil cattaneo 2013-12-22 20:57:53 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 9 files have unknown license. Detailed output of
     licensecheck in /home/gil/1045863-tesla-filelock/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in tesla-
     filelock-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: tesla-filelock-0.0.2-1.fc21.noarch.rpm
          tesla-filelock-javadoc-0.0.2-1.fc21.noarch.rpm
          tesla-filelock-0.0.2-1.fc21.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint tesla-filelock tesla-filelock-javadoc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
tesla-filelock (rpmlib, GLIBC filtered):
    jpackage-utils
    mvn(edu.umd.cs:multithreadedtc)
    mvn(javax.inject:javax.inject)
    mvn(org.slf4j:slf4j-api)

tesla-filelock-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
tesla-filelock:
    mvn(io.tesla:tesla-filelock)
    tesla-filelock

tesla-filelock-javadoc:
    tesla-filelock-javadoc



Source checksums
----------------
https://github.com/tesla/tesla-filelock/archive/15d0638260077b0afa6612362e10bc902c9f7586/tesla-filelock-0.0.2-15d0638.tar.gz :
  CHECKSUM(SHA256) this package     : e721a89521e798fdd58481cba41cebfee87301b4e48fc5f0c1b9872fe3aa7ced
  CHECKSUM(SHA256) upstream package : e721a89521e798fdd58481cba41cebfee87301b4e48fc5f0c1b9872fe3aa7ced


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1045863 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

ISSUES:

[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.

[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

[!]: Package does not include license text files separate from upstream.

Comment 4 Gerard Ryan 2013-12-22 22:17:32 UTC
Thanks for the review Gil, it's much appreciated!

(In reply to gil cattaneo from comment #3)
> ISSUES:
> 
> [!]: If (and only if) the source package includes the text of the license(s)
>      in its own file, then that file, containing the text of the license(s)
>      for the package is included in %doc.
> 
> [!]: If the source package does not include license text(s) as a separate
> file
>      from upstream, the packager SHOULD query upstream to include it.
> 
> [!]: Package does not include license text files separate from upstream.

Regarding the first and third issues, I think EPL-licensed packages must include license file, is that correct? If not, I'll take it out.

Regarding the second issue, I've just queried upstream to include license text in the following pull request on github: https://github.com/tesla/tesla-filelock/pull/1

Let me know if there's anything else you would like me to do to get this through review. Thanks again!

Comment 5 gil cattaneo 2013-12-22 23:21:47 UTC
approved
happy holydays!

Comment 6 Gerard Ryan 2013-12-22 23:31:54 UTC
(In reply to gil cattaneo from comment #5)
> approved
> happy holydays!

Great, thanks again Gil! Happy holidays to you too! :) I'll have a look over the next few days at what you've got for review...I owe you a few by now and I've got some free time now over the break.

Comment 7 Gerard Ryan 2013-12-22 23:32:55 UTC
New Package SCM Request
=======================
Package Name: tesla-filelock
Short Description: Tesla filelock utilities
Owners: galileo
Branches: f20
InitialCC: java-sig

Comment 8 Gwyn Ciesla 2013-12-23 12:58:27 UTC
Git done (by process-git-requests).

Comment 9 Gerard Ryan 2013-12-23 19:45:54 UTC
Thanks Gil, Jon.


Note You need to log in before you can comment on or make changes to this bug.